Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1335204 - nfdump: multiple remote denial of service vulnerabilities
Summary: nfdump: multiple remote denial of service vulnerabilities
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1335205 1335206
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-11 15:01 UTC by Andrej Nemec
Modified: 2021-02-17 03:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-29 17:08:05 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-05-11 15:01:25 UTC
Multiple vulnerabilities were found within the nfcapd netflow collector daemon. An unauthenticated
attacker may leverage these vulnerabilities to trigger a denial of service condition within the nfcapd daemon. Two read based heap overflow vulnerabilities were found within the IPFIX processing code and one logic based denial of service was found in the Netflow V9 processing code.

External references:

http://www.security-assessment.com/files/documents/advisory/Nfdump%20nfcapd%201.6.14%20-%20Multiple%20Vulnerabilities.pdf

References:

http://seclists.org/fulldisclosure/2016/May/28

Upstream fixes:

https://github.com/phaag/nfdump/commit/ff0e855bd1f51bed9fc5d8559c64d3cfb475a5d8

Comment 1 Andrej Nemec 2016-05-11 15:01:49 UTC
Created nfdump tracking bugs for this issue:

Affects: fedora-all [bug 1335205]
Affects: epel-all [bug 1335206]

Comment 2 Fedora Update System 2016-06-18 18:33:14 UTC
nfdump-1.6.15-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-06-20 20:19:29 UTC
nfdump-1.6.15-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-06-20 20:24:49 UTC
nfdump-1.6.15-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-06-27 19:48:03 UTC
nfdump-1.6.15-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Denis Fateyev 2016-06-29 17:08:05 UTC
The fixed version has been pushed in all actual branches.


Note You need to log in before you can comment on or make changes to this bug.